log

## Class LogFile

- java.lang.Object
- - log.LogFile

    public class LogFile
    extends java.lang.Object

The Class LogFile.

### Constructor Summary

Constructors
Constructor and Description
`LogFile()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `attach(LoggerMessage loggerMessage)` Attach.
`boolean` `containTag(LogMessageType[] conditionTypes, LogMessageType[] givenTypes)` Contain tag.
`void` `generateLogFile()` Generate log file.
`ConsolePanel` `getConsolePanel()` Gets the console panel.
`int` `getCrititity()` Gets the crititity.
`org.slf4j.Logger` `getLogger()` Gets the logger.
`java.lang.String` `getLoggerFileName()` Gets the logger file name.
`LogMessageType[]` `getLogMessageTypes()` Gets the log message types.
`boolean` `getPreviousState()` Gets the previous state.
`boolean` `isConsole()` Checks if is console.
`boolean` `isFile()` Checks if is file.
`void` `messageToDebug(java.lang.String messages, int criticity, LogMessageType[] types)` Message to debug.
`void` `setConditionsForDebug(int criticity, LogMessageType[] types, boolean isConsole, boolean isFile)` Sets the conditions for debug.
`void` `setConsolePanel(ConsolePanel consolePanel)` Sets the console panel.
`void` `setPreviousState(boolean previousState)` Sets the previous state.
`void` `setTemporalGraph(TemporalGraph temporalGraph)` Sets the temporal graph.
`void` `setWorld(World world)` Sets the world.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogFile

    public LogFile()

### Method Detail

#### generateLogFile

    public void generateLogFile()

Generate log file.

#### attach

    public void attach(LoggerMessage loggerMessage)

Attach.

Parameters:
  `loggerMessage` - the logger message

#### setConditionsForDebug

    public void setConditionsForDebug(int criticity,
                                      LogMessageType[] types,
                                      boolean isConsole,
                                      boolean isFile)

Sets the conditions for debug.

Parameters:
  `criticity` - the criticity
  `types` - the types
  `isConsole` - the is console
  `isFile` - the is file

#### messageToDebug

    public void messageToDebug(java.lang.String messages,
                               int criticity,
                               LogMessageType[] types)

Message to debug.

Parameters:
  `messages` - the messages
  `criticity` - the criticity
  `types` - the types

#### containTag

    public boolean containTag(LogMessageType[] conditionTypes,
                              LogMessageType[] givenTypes)

Contain tag.

Parameters:
  `conditionTypes` - the condition types
  `givenTypes` - the given types
Returns:
  true, if successful

#### getCrititity

    public int getCrititity()

Gets the crititity.

Returns:
  the crititity

#### getLogMessageTypes

    public LogMessageType[] getLogMessageTypes()

Gets the log message types.

Returns:
  the log message types

#### isConsole

    public boolean isConsole()

Checks if is console.

Returns:
  true, if is console

#### isFile

    public boolean isFile()

Checks if is file.

Returns:
  true, if is file

#### setPreviousState

    public void setPreviousState(boolean previousState)

Sets the previous state.

Parameters:
  `previousState` - the new previous state

#### getPreviousState

    public boolean getPreviousState()

Gets the previous state.

Returns:
  the previous state

#### setConsolePanel

    public void setConsolePanel(ConsolePanel consolePanel)

Sets the console panel.

Parameters:
  `consolePanel` - the new console panel

#### getConsolePanel

    public ConsolePanel getConsolePanel()

Gets the console panel.

Returns:
  the console panel

#### getLogger

    public org.slf4j.Logger getLogger()

Gets the logger.

Returns:
  the logger

#### getLoggerFileName

    public java.lang.String getLoggerFileName()

Gets the logger file name.

Returns:
  the logger file name

#### setWorld

    public void setWorld(World world)

Sets the world.

Parameters:
  `world` - the new world

#### setTemporalGraph

    public void setTemporalGraph(TemporalGraph temporalGraph)

Sets the temporal graph.

Parameters:
  `temporalGraph` - the new temporal graph